#!/bin/bash
set -x

DEV=$1
FSTYPE=$2
LOGFILE=$3

. /etc/default/globals

#do paramater check here
echo $# 
#if [ $# -neq 3]; then 
#    echo "failure" > $LOGFILE
#    svdrpsend.sh mesg "Formatting failed. Invalid parameter."
#fi
##less than 3 params report error

#echo $* 
#echo $@


(
logger -it "$0" "called with $@" 
echo "start" > $LOGFILE

logger -it "$0" "Unmounting $DEV first before attempting to format"
#unmount before formatting
umount $DEV

#check the existance of mkfs.$FSTYPE
if command -v mkfs.$FSTYPE ; then 
    echo mkfs.$FSTYPE $DEV
else
    echo "mkfs.$FSTYPE not found!"
    logger -it "$0" " ERROR: mkfs.$FSTYPE not found" 
fi

case $FSTYPE in
    jfs)
    # mkfs.jfs is interactive, needs a Y to format
    mkfs.jfs -q $DEV
    ;;
    xfs)
    mkfs.xfs -f $DEV
    ;;
    *)
    mkfs.$FSTYPE $DEV
    ;;
esac

if [ $? -eq 0 ]; then
    echo "success" >> $LOGFILE
    smesg "formatting $DEV complete"
else
    echo "failure" >> $LOGFILE
    smesg "formatting $DEV failed"
fi

)&
