#!/bin/sh
# this is an example-script for a noad-call with
# different parameters for a call before or after
# a recording is done
# this script should be called from inside vdr via '-r '
# e.g. vdr '-r /usr/local/sbin/noadcall.sh'

#TODO: 
#  - onlinemode for RB II
#  - translate message(s)
#  - get recording title/episode from info.vdr
#  - don't run for VPS recordings?

# globals
if [ -f /etc/reel/globals ] ; then
	. /etc/reel/globals
else
	. /etc/default/globals
fi

# set the noad-binary here
NOAD="/usr/bin/noad"

# set the online-mode here
# 1 means online for live-recording only
# 2 means online for every recording
ONLINEMODE="--online=2"

# set additional args for every call here here
ADDOPTS="--ac3 --overlap --jumplogo --comments --savelogo"

# set special args for a call with 'before' here
# e.g. set a specail statistikfile
BEFOREOPTS="--statisticfile=/media/hd/recordings/noadonlinestat"

# set special args for a call with 'after' here
# e.g. backup the marks from the online-call before
#      so you can compare the marks and see
#      how the marks vary between online-mode
#      and normal scan (backup-marks are in marks0.vdr)
AFTEROPTS="nice --background --OSD"

if [ "$1" = "before" ]; then
	$NOAD $* $ONLINEMODE $ADDOPTS $BEFOREOPTS
else
	#RecName=`echo $1 | cut -f5-6 -d/ | sed s/_/" "/g`
	#echo "Starting NoAd for $RecName."
	$NOAD $* $ADDOPTS $AFTEROPTS
	#Info 
	tl "Info: Noad started for:" 
	record_title=`echo $* | awk -F / '{print $(NF-1)}'`
	echo " $record_title"
fi
