#!/bin/sh
#
# Creates a OSD screenshot using osddump
# 2007-02-07 by RollerCoaster

# include language 
if [ -f /etc/sysconfig ] ; then
	. /etc/sysconfig
else
	. /etc/default/sysconfig
fi

if [ -f /etc/reel/globals ] ; then
	. /etc/reel/globals
else
	. /etc/default/globals
fi

echo running $0
if RbMini ; then
	Syslog "sorry, screenshots disabled on Reel NetClient."
	exit 0
fi

loglevel=3

syntax () {
cat << EOF
Usage: $MyName
Description:
     Creates a OSD screenshot using osddump
     Screenshots will be saved in /tmp

Options:
     no options

EOF
}

#
# Main
#
start() { 
# check directory
test -d /media/reel/pictures/screenshot || mkdir /media/reel/pictures/screenshot

case $1 in
	"")
		nowhr=`date +%Y-%m-%d_%H.%M.%S`
		if RbLite ; then
		    fname="/tmp/${nowhr}.jpg"
		else
		    fname2="/media/reel/pictures/screenshot/${nowhr}.png"
		fi

		Log 1 "saving screenshot as $fname"
		if RbLite ; then
			osddump | pnmtojpeg > $fname
		else
			hdfbshot -s1 $fname2
			smesg "Info: Screenshot saved in My Images / screenshot"
		fi
		;;
	-h)
		syntax
		exit 0
		;;
	*)
		echo "Unknown option $SOPTION."
		syntax
		exit 2
		;;
esac

}
start &
